Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.util.el
Class TestsMap

    java.lang.Object
      org.apache.myfaces.shared_orchestra.util.el.GenericMap
          org.apache.myfaces.shared_orchestra.util.el.TestsMap

All Implemented Interfaces:
  Map

    public abstract class TestsMap

extends GenericMap

You can use this class to perform tests. Use this for example in JSF backing beans, like BaseFace.getUserInRole(String).

Version:
  $Revision: 355303 $ $Date: 2005-12-09 02:36:08 +0100 (Fr, 09 Dez 2005) $
Author:
  Sylvain Vieujot (latest modification by $Author: skitching $)

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`TestsMap()`

Method Summary
`Object` | `get(Object key)`
`abstract boolean` | `getTest(String testKey)` This method should return the result of the test.
`protected Object` | `getValue(Object testKey)` This method should return the result of the test.
`Boolean` | `put(String key, Boolean value)`

Methods inherited from class org.apache.myfaces.shared_orchestra.util.el.GenericMap
`clear, containsKey, containsValue, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### TestsMap

    public TestsMap()

Method Detail

### getTest

    public abstract boolean getTest(String testKey)

  This method should return the result of the test.

### getValue

    protected Object getValue(Object testKey)

  Description copied from class: `GenericMap`
  This method should return the result of the test.

  Specified by:
    `getValue` in class `GenericMap`

### get

    public Object get(Object key)

  Specified by:
    `get` in interface `Map`
  Overrides:
    `get` in class `GenericMap`

### put

    public Boolean put(String key,
                       Boolean value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.